﻿/*
 * Author: G. Monz (DK7IO), 2022-06-20
 * This file is distributed without any warranty.
 * */

using System;
using System.Windows.Forms;

namespace QthManager
{
	public partial class SummaryForm : Form
	{
		public SummaryForm(MainForm mainForm)
		{
			InitializeComponent();

			textBoxName1.Text = mainForm.TextBoxName1.Text;
			textBoxLocator1.Text = mainForm.TextBoxLocator1.Text;
			textBoxDND1.Text = mainForm.textBoxDND1.Text;
			textBoxDED1.Text = mainForm.textBoxDED1.Text;
			textBoxDMND1.Text = mainForm.textBoxDMND1.Text;
			textBoxDMNM1.Text = mainForm.textBoxDMNM1.Text;
			textBoxDMED1.Text = mainForm.textBoxDMED1.Text;
			textBoxDMEM1.Text = mainForm.textBoxDMEM1.Text;
			textBoxDMSND1.Text = mainForm.textBoxDMSND1.Text;
			textBoxDMSNM1.Text = mainForm.textBoxDMSNM1.Text;
			textBoxDMSNS1.Text = mainForm.textBoxDMSNS1.Text;
			textBoxDMSED1.Text = mainForm.textBoxDMSED1.Text;
			textBoxDMSEM1.Text = mainForm.textBoxDMSEM1.Text;
			textBoxDMSES1.Text = mainForm.textBoxDMSES1.Text;

			textBoxName2.Text = mainForm.TextBoxName2.Text;
			textBoxLocator2.Text = mainForm.TextBoxLocator2.Text;
			textBoxDND2.Text = mainForm.textBoxDND2.Text;
			textBoxDED2.Text = mainForm.textBoxDED2.Text;
			textBoxDMND2.Text = mainForm.textBoxDMND2.Text;
			textBoxDMNM2.Text = mainForm.textBoxDMNM2.Text;
			textBoxDMED2.Text = mainForm.textBoxDMED2.Text;
			textBoxDMEM2.Text = mainForm.textBoxDMEM2.Text;
			textBoxDMSND2.Text = mainForm.textBoxDMSND2.Text;
			textBoxDMSNM2.Text = mainForm.textBoxDMSNM2.Text;
			textBoxDMSNS2.Text = mainForm.textBoxDMSNS2.Text;
			textBoxDMSED2.Text = mainForm.textBoxDMSED2.Text;
			textBoxDMSEM2.Text = mainForm.textBoxDMSEM2.Text;
			textBoxDMSES2.Text = mainForm.textBoxDMSES2.Text;

			textBoxDistanceKM.Text = mainForm.textBoxDistanceKM.Text;
			textBoxDistanceStatuteMiles.Text = mainForm.textBoxDistanceStatuteMiles.Text;
			textBoxDistanceNauticalMiles.Text = mainForm.textBoxDistanceNauticalMiles.Text;
			textBoxAzimuth12.Text = mainForm.textBoxAzimuth12.Text;
			textBoxAzimuth21.Text = mainForm.textBoxAzimuth21.Text;

			Text = mainForm.Text + ": " + textBoxLocator1.Text + " <-> " + textBoxLocator2.Text;
		}

		void ButtonPrint_Click(object sender, EventArgs e)
		{
			var printer = new Printer();
			printer.Print(controlToPrint, "QTH Manager " + textBoxLocator1.Text + " " + textBoxLocator2.Text);
		}
	}
}